Ruby: ext/digest/sha1/sha1.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Functions
sha1.h File Reference
`#include "../defs.h"`

Go to the source code of this file.

## Data Structures
struct | SHA1_CTX

## Macros
#define | SHA1_Transform rb_Digest_SHA1_Transform
#define | SHA1_Init rb_Digest_SHA1_Init
#define | SHA1_Update rb_Digest_SHA1_Update
#define | SHA1_Finish rb_Digest_SHA1_Finish
#define | SHA1_BLOCK_LENGTH 64
#define | SHA1_DIGEST_LENGTH 20
#define | SHA1_DIGEST_STRING_LENGTH (SHA1_DIGEST_LENGTH * 2 + 1)

## Functions
void SHA1_Transform | _ ((uint32_t state[5], const uint8_t buffer[64]))
int SHA1_Init | _ ((SHA1_CTX *context))
void SHA1_Update | _ ((SHA1_CTX *context, const uint8_t *data, size_t len))
int SHA1_Finish | _ ((SHA1_CTX *context, uint8_t digest[20]))

## Macro Definition Documentation

## ◆ SHA1_BLOCK_LENGTH

#define SHA1_BLOCK_LENGTH 64

Definition at line 35 of file sha1.h.

## ◆ SHA1_DIGEST_LENGTH

#define SHA1_DIGEST_LENGTH 20

Definition at line 36 of file sha1.h.

## ◆ SHA1_DIGEST_STRING_LENGTH

#define SHA1_DIGEST_STRING_LENGTH (SHA1_DIGEST_LENGTH * 2 + 1)

Definition at line 37 of file sha1.h.

## ◆ SHA1_Finish

#define SHA1_Finish rb_Digest_SHA1_Finish

Definition at line 27 of file sha1.h.

## ◆ SHA1_Init

#define SHA1_Init rb_Digest_SHA1_Init

Definition at line 25 of file sha1.h.

## ◆ SHA1_Transform

#define SHA1_Transform rb_Digest_SHA1_Transform

Definition at line 24 of file sha1.h.

## ◆ SHA1_Update

#define SHA1_Update rb_Digest_SHA1_Update

Definition at line 26 of file sha1.h.

## Function Documentation

## ◆ _() [1/4]

int SHA1_Init _ | ( | (SHA1_CTX *context) |  | ) |

## ◆ _() [2/4]

void SHA1_Update _ | ( | (SHA1_CTX *context, const uint8_t *data, size_t len) |  | ) |

## ◆ _() [3/4]

int SHA1_Finish _ | ( | (SHA1_CTX *context, uint8_t digest[20]) |  | ) |

## ◆ _() [4/4]

void SHA1_Transform _ | ( | (uint32_t state[5], const uint8_t buffer[64]) |  | ) |